import { BaseComponent, triggerManager, listenersManager } from 'orionos-eve-core';
import React from 'react';
import { DeviceEventEmitter, Text, View } from 'react-native';
import { DemoViewModel } from './DemoViewModel';
import { DemoVoice } from './DemoVoice';
import { DemoTrigger } from './DemoTrigger';

/**
 * 单独调试时使用
 */
triggerManager.addTrigger(new DemoTrigger());
export default class AppDebug extends BaseComponent {

    viewModel = new DemoViewModel();

    constructor(props) {
        super(props);

        //在单独调试的时候需要添加，否则无法接收语音指令
        listenersManager.listen(DeviceEventEmitter);
        triggerManager.start();

        this.setViewModel(this.viewModel);
        this.setVoice(new DemoVoice(this.viewModel));
    }

    componentDidMount() {
        super.componentDidMount();
    }

    componentWillMount() {
    }

    componentWillUnmount() {
        super.componentWillUnmount();
    }

    render() {
        return (<View>
            <Text style={{ fontSize: 17, color: 'red' }}> Hello Robot Debug</Text>
        </View>);

    }
}
