import { BaseVoice } from 'orionos-eve-core';
import { DemoViewModel } from './DemoViewModel';

export class DemoVoice extends BaseVoice {

    private viewModel: DemoViewModel;

    public constructor(viewModel: DemoViewModel) {
        super('DemoVoice');
        this.viewModel = viewModel;
    }

    /**
     * 接收语音指令
     *
     * @param intent 语音指令标识
     * @param result 语音识别的数据
     * @param id
     * @param text 语音识别文本
     */
    public onListenCallback(intent: string, result: any, id: number, text: string): boolean {
        switch (intent) {
            case 'general_command&stop':
                this.viewModel.back();
                break;
        }
        return false;
    }

    public speak(): void {
    }

}
